FreeBSD Administration - Bug #483

Apache24 Error During SSL Handshake With Remote Server
11/29/2014 06:52 AM - Daniel Curtis

Status: Closed Start date: 11/29/2014
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Web Server Estimated time: 0.50 hour
Target version: FreeBSD 9 Spent time: 1.00 hour
Description

While setting up a proxy within Apache24 | kept getting an error every time | tried to access the site served from the server. In the
case of Apache 2.4 and up, there are different defaults and a new directive.

| had to add the following directives to get it working:

SSLProxyEngine on
SSLProxyVerify none
SSLProxyCheckPeerCN off
SSLProxyCheckPeerName off

NOTE: This problem was only noticeable after | moved the website served from to a new server with a different host name than what
was on the SSL certificate. The above directives disables the host name checking.

History

#1 - 12/10/2014 10:48 AM - Daniel Curtis
- Status changed from New to Resolved

- % Done changed from 0 to 100

#2 - 12/12/2014 10:51 AM - Daniel Curtis

- Status changed from Resolved to Closed

#3 - 02/14/2015 10:42 AM - Daniel Curtis

- Target version set to FreeBSD 9

#4 - 02/14/2015 12:01 PM - Daniel Curtis
- Category set to Web Server
